Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003043Zandronum[All Projects] Bugpublic2017-03-19 12:522017-03-23 07:05
ReporterSirPelo_D0OD 
Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformWindowsOS10OS Versionlatest x64
Product Version2.1 
Target VersionFixed in Version 
Summary0003043: Zandro's OpenGl is now unplayable
DescriptionIt all started around a week ago when i couldn't login into Aow 2.1 server, game just got stuck in requesting snapshot and kicking me out for missing 1024 packets, only on this server. Then i updated my Intel HD graphics 4000 core and Nvidia 710M, and also Windows updated itself according to schedule. Then i couldn't connect again,trying anything i could and created a thread in general help forum. Then, on the third launch of my notebook, i randomly attempted to join AOW in regular settings for me, with hqnx4 and else, and voila! I finally connected, only to find that opengl rendeder UNPLAYABLE. Game just keeps 0.1-3 FPS most of time, I can't even go to the settings to switch to software. Then i did it in offline vanilla. OpenGL still acts insane, but software gave me my 110-130 FPS i used to. It still acts like that in 3.0 Zandro as well as in 2.1.2, and any mod or vanilla runs okay in sofware, but openGl is just dead. I tested GZDoom, and openGl runs perfectly fine in there, giving the same fps as Zandro's software. I have Intel Core i3 3110M, and 6 GB of RAM, if this provides any info.Please help, this software fog and angle distortion and vision bugs hurts my eyes.
Attached Files

- Relationships

-  Notes
User avatar (0017020)
Torr Samaho (administrator)
2017-03-19 18:51

Since Zandronum worked before for you and Zandronum itself didn't change, this sound like a problem with your system. To get started, did you try with a clean ini?
User avatar (0017024)
SirPelo_D0OD (reporter)
2017-03-19 21:12

Just tried deleting ini. Doesn't work: software gave 250 fps and opengl solid 0.
Some more offline tests: opengl is at 30-50 fps when not in the game (starting screen or esc).Even with disabled textures game still almost freezes.Compat and window mode don't do anything with FPS.
And I wouldn't post it here if GzDoom had the same problems. Is there any way it's going to get fixed or I should find way to downgrade the driver? This option is the last resort as i never tried downgrading drivers/backuping system before. And also I've reinstalled Zandro during attempts to connect to Aow serv, could it be damaged in any way? And yes, i've reinstalled it again.
User avatar (0017026)
Edward-san (developer)
2017-03-19 21:20

Can you check GZDoom r900 and GZDoom 1.8.6 from the Rules page and see if the problem still happens?
User avatar (0017027)
SirPelo_D0OD (reporter)
2017-03-19 21:26

Well, the problem is kinda 80% self-fixed. I've found that capping the FPS makes OpenGl playable, but it sad that now i must play with 36-39 FPS while my notebook is capable of a [little bit] better perfomance.The major problem is fixed, but am i now tied to capped FPS in GL?
User avatar (0017028)
SirPelo_D0OD (reporter)
2017-03-19 21:41

GzDoom tests:
r900 acts much much worse than Zandronum be some unknown reason (just ate all the RAM and the screen changing animation which leads to the MAP01 just went on for around 2 minutes, after only it fully completed i've made it to have 1 FPS and regain the conrol of system
1.8.6 acted close to Zandro on first attempt, but relaunching it and switching to RGB5_A1 instead of RGBA8 texture format gave me 500-700 FPS even with HQx4.
User avatar (0017029)
SirPelo_D0OD (reporter)
2017-03-19 21:55

PROBLEM IS NOT FIXED.
Multiplayer mod games still freeze at map changes and occasionaly during mediocre number of things happening on the level at the same time, just the gaps between that spikes streghten from the 0.5-2 seconds to 0.5-2 minutes
User avatar (0017040)
SirPelo_D0OD (reporter)
2017-03-20 21:23

I found the problem's source, but it's still not clearly fixed :/
So, it's about Intel HD Graphics 4000.
As for now, i can kill all the gl's spikes only by turning it off through the Control Panel in Win settings. Downgrading to the previous driver version didn't fix this. It feels so weird in so many ways. I can barely squeeze said 36 fps on 24-year old game engine, and for that, i have to turn off one of my GPU's which turns it unplayable ???
Please, if this can't be fixed through doing something in Zandro itself, tell me what could cause this bug, because i now want to do anything including learning how to code to make this work back as it used to be.
User avatar (0017043)
Empyre (reporter)
2017-03-20 22:33

You are using your motherboard's on-board graphics and a graphics card at the same time? I don't think you are supposed to do that. If you have a graphics card, it is supposed to replace the inferior built-in graphics. Not having the 2 GPUs fighting each other for control should make all games run better. I am surprised it worked at all. The only way to get 2 GPUs working together smoothly is to use 2 cards that are designed to work together through SLI or Crossfire (or another similar scheme that might have come along recently that I do not know about).
User avatar (0017044)
SirPelo_D0OD (reporter)
2017-03-21 00:37

Thanks for reminding me about SLI. I should try it. Maybe.
But dude, it's not like I placed incompatible things in the same machine.
It's Lenovo g580, a 2013's budget level gaming notebook.Everything was built in it in that way, and they worked really good together. It handled GTA 5 on lows and Far Cry 3 almost on ults.Yeah ikr it's old as hell, but it was capable of running Zandro, and run it well. And all of sudden *poof* it's not.
User avatar (0017045)
Torr Samaho (administrator)
2017-03-21 07:09

I'm pretty sure that your system is not using both GPUs at the same time to improve performance. AFAIK it will use the Intel GPU in case it wants to conserve energy and the NVIDIA GPU if it needs the best 3D performance.

From your description it could be that Zandronum uses Intel GPU instead of the NVIDIA GPU. What does the console log in Zandronum report about GL_VENDOR and GL_RENDERER and what does it report for this in the latest GZDoom version?
User avatar (0017046)
SirPelo_D0OD (reporter)
2017-03-21 07:38

Both of them display Intel Hd 4000 as GL_RENDERER, Vendor is Intel. I can remember that it also was like that before the spikes.
User avatar (0017048)
Torr Samaho (administrator)
2017-03-22 19:20

Interesting. So whatever happened on your system seems to have degraded the performance of the Intel GPU in Zandronum for you.

Nevertheless, I think the first thing you should try is to have Zandronum use the NVIDIA GPU. You should be able to select this in the NVIDIA control panel.
User avatar (0017054)
SirPelo_D0OD (reporter)
2017-03-22 21:08

Wow, thanks!
It's probably because of one of updates resetted Zandro's GPU settings.
Now it works as it used to.
I had to manually turn off the HD 4000 which killed performance everywhere before, just to run it properly.
User avatar (0017055)
Torr Samaho (administrator)
2017-03-23 07:05

I'm glad to hear that the issue is resolved!

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: SirPelo_D0OD
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-03-19 12:52 SirPelo_D0OD New Issue
2017-03-19 18:51 Torr Samaho Note Added: 0017020
2017-03-19 18:51 Torr Samaho Status new => feedback
2017-03-19 21:12 SirPelo_D0OD Note Added: 0017024
2017-03-19 21:12 SirPelo_D0OD Status feedback => new
2017-03-19 21:20 Edward-san Note Added: 0017026
2017-03-19 21:26 SirPelo_D0OD Note Added: 0017027
2017-03-19 21:41 SirPelo_D0OD Note Added: 0017028
2017-03-19 21:55 SirPelo_D0OD Note Added: 0017029
2017-03-20 21:23 SirPelo_D0OD Note Added: 0017040
2017-03-20 22:33 Empyre Note Added: 0017043
2017-03-21 00:37 SirPelo_D0OD Note Added: 0017044
2017-03-21 07:09 Torr Samaho Note Added: 0017045
2017-03-21 07:38 SirPelo_D0OD Note Added: 0017046
2017-03-22 19:20 Torr Samaho Note Added: 0017048
2017-03-22 19:21 Torr Samaho Status new => feedback
2017-03-22 21:08 SirPelo_D0OD Note Added: 0017054
2017-03-22 21:08 SirPelo_D0OD Status feedback => new
2017-03-23 07:05 Torr Samaho Note Added: 0017055
2017-03-23 07:05 Torr Samaho Status new => closed
2017-03-23 07:05 Torr Samaho Resolution open => no change required






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker